SENDMSG(2)

NAME
sendmsg - send a message through a socket

SYNOPSIS
#include <sys/socket.h>
ssize_t sendmsg(int sd, const struct msghdr * msg, int flags);

DESCRIPTION
sendmsg() sends a message to another socket. It may be used with connectionless and connection oriented sockets. At present, minix doesn't support setting flags to any value other than 0.

RETURN VALUES
On success, this function returns 0. On error, -1 is returned and errno is set. errno is set.

ERRORS

[ENOSYS]
    The operation is not implemented for the given socket.

[ENOTCONN]
    The socket is not connected; there is no peer.

[EFAULT]
    msg is NULL.

[EAFNOSUPPORT]
    The address family is not supported by send().

[ENAMETOOLONG]
    The length of sun_path is longer than UNIX_PATH_MAX.

[ENOENT]
    The sun_path is null.

[EPIPE]
    The socket is shutdown for writing.

[EMSGSIZE]
    The message is too big.

SEE ALSO
socket(2), recvmsg(2), sendto(2), writev(2)

HISTORY
This function first appeared in Minix 3.1.8.